Page MenuHomePhabricator

(Need by: TBD) codfw: rack/setup/install wdqs200[7-8].codfw.wmnet
Closed, ResolvedPublic

Description

This task tracks the setup of 2 new wdqs nodes in codfw:wdqs200[7-8]

Hostnames: wdqs200[7-8]
Racking Proposal: Place 1 each in 1G rack in B, and C
Networking/Subnet/VLAN/IP: single 1G production network connection.
Partitioning/Raid: RAID10: raid10-8dev.cfg

wdqs2007: Row B rack B8 ge-8/0/7

  • - receive in system on procurement task T227765
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing [x ] - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan) end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged
  • - handoff for service implementation
  • - service implementer changes from 'staged' status to 'active' status in netbox'

wdqs2008: Row C rack C6 ge-6/0/4

  • - receive in system on procurement task T227765
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan) end on-site specific steps [x - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged
  • - handoff for service implementation
  • - service implementer changes from 'staged' status to 'active' status in netbox'

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Papaul triaged this task as Medium priority.Jan 9 2020, 12:47 AM
Papaul updated the task description. (Show Details)
Papaul updated the task description. (Show Details)
Papaul moved this task from Backlog to Racking Tasks on the ops-codfw board.
papaul@asw-b-codfw# show | compare 
[edit interfaces interface-range vlan-private1-b-codfw]
     member ge-1/0/16 { ... }
+    member ge-8/0/7;
[edit interfaces interface-range disabled]
-    member ge-8/0/7;
[edit interfaces]
+   ge-8/0/7 {
+       description wdqs2027;
+   }

papaul@asw-b-codfw# run show interfaces ge-8/0/7 descriptions 
Interface       Admin Link Description
ge-8/0/7        up    up   wdqs2027
papaul@asw-c-codfw# show | compare 
[edit interfaces interface-range vlan-private1-c-codfw]
     member ge-6/0/5 { ... }
+    member ge-6/0/4;
[edit interfaces interface-range disabled]
-    member ge-6/0/4;
[edit interfaces]
+   ge-6/0/4 {
+       description wdqs2028;
+   }

papaul@asw-c-codfw# run show interfaces ge-6/0/4 descriptions 
Interface       Admin Link Description
ge-6/0/4        up    up   wdqs2028
Papaul renamed this task from codfw: rack/setup/install wdqs202[7-8].codfw.wmnet to codfw: rack/setup/install wdqs200[7-8].codfw.wmnet.Jan 24 2020, 3:02 AM
Papaul updated the task description. (Show Details)

Change 566920 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add mgmt and production DNS for wdqs200[7-8]

https://gerrit.wikimedia.org/r/566920

Change 566920 merged by Papaul:
[operations/dns@master] DNS: Add mgmt and production DNS for wdqs200[7-8]

https://gerrit.wikimedia.org/r/566920

Change 570465 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] DHCP: Add wdqs200[7-8] to netboot.cfg and MAC address

https://gerrit.wikimedia.org/r/570465

Change 570465 merged by Papaul:
[operations/puppet@production] DHCP: Add wdqs200[7-8] to netboot.cfg and MAC address

https://gerrit.wikimedia.org/r/570465

Script wmf-auto-reimage was launched by pt1979 on cumin2001.codfw.wmnet for hosts:

wdqs2007.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/202002061849_pt1979_14214_wdqs2007_codfw_wmnet.log.

Completed auto-reimage of hosts:

['wdqs2007.codfw.wmnet']

Of which those FAILED:

['wdqs2007.codfw.wmnet']

Script wmf-auto-reimage was launched by pt1979 on cumin2001.codfw.wmnet for hosts:

wdqs2007.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/202002061852_pt1979_14874_wdqs2007_codfw_wmnet.log.

Completed auto-reimage of hosts:

['wdqs2007.codfw.wmnet']

Of which those FAILED:

['wdqs2007.codfw.wmnet']
Papaul updated the task description. (Show Details)

@Gehel All yours

wiki_willy renamed this task from codfw: rack/setup/install wdqs200[7-8].codfw.wmnet to (Need by: TBD) codfw: rack/setup/install wdqs200[7-8].codfw.wmnet.Feb 26 2020, 1:44 AM

@Gehel can you please make another task for service implementation and resolve this task ?

Thanks

Change 579010 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] site: add role(insetup) to wdqs200[78]

https://gerrit.wikimedia.org/r/579010

Change 579010 merged by Dzahn:
[operations/puppet@production] site: add role(insetup) to wdqs200[78]

https://gerrit.wikimedia.org/r/579010